from sensor.Sensor import Sensor
from utils.datatypes import *
from utils import i18n

import os
import commands
import ossaudiodev

class Volume(Sensor):
	def __init__(self,device):

		Sensor.__init__(self)

		self.mixer = ossaudiodev.openmixer(device)
		self.__volume = self.mixer.get(ossaudiodev.SOUND_MIXER_VOLUME)

		print self.__volume

	def get_configurator(self):
		configurator = self._new_configurator()
		configurator.set_name("Mixer Device")
		configurator.add_title("Settings")
		configurator.add_entry("Device","device","Full path to mixer device (/dev/mixer)")
		return configurator



		



def new_sensor(args): return apply(Volume,args)



