#! /usr/bin/env python

#
# Simple script for generating .mo files from .po files.
#

import os
import commands
import sys


MSGFMT = "msgfmt --statistics --output=%(mofile)s %(pofile)s"


def compile_po(domain, path):

    print path
    file = os.path.basename(path)
    lang, ext = os.path.splitext(file)
    target = os.path.join(lang, "LC_MESSAGES")
    os.system("mkdir --parents " + target)
    
    mofile = os.path.join(target, domain + ".mo")
    pofile = path
    os.system(MSGFMT % vars())
    print


potfile = os.path.basename(commands.getoutput("ls ../po/*.pot"))
domain, nil = os.path.splitext(potfile)
print domain
files = os.listdir("../po")
for f in files:
    nil, ext = os.path.splitext(f)
    if (ext == ".po"):
        compile_po(domain, os.path.join("../po", f))
